### Hierarchy

- Demo

## Index

### Constructors

- constructor

### Properties

- el
- markup
- markupState
- tag
- textArea

### Methods

- componentDidLoad
- componentDidUpdate
- copyExample
- initEditor
- initTextArea
- render
- updateExample
- updateTextArea

## Constructors

### constructor

- new Demo(): Demo

- - Defined in demo/demo.tsx:18

  #### Returns Demo

## Properties

### el

el: HTMLElement

- Defined in demo/demo.tsx:14

### markup

markup: Map<any, any> = new Map()

- Defined in demo/demo.tsx:12

### markupState

markupState: string

- Defined in demo/demo.tsx:16

### tag

tag: string = ""

- Defined in demo/demo.tsx:18

### textArea

textArea: HTMLElement

- Defined in demo/demo.tsx:11

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in demo/demo.tsx:26

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in demo/demo.tsx:30

  #### Returns void

### copyExample

- copyExample(ev: any): void

- - Defined in demo/demo.tsx:78

  #### Parameters

  - ##### ev: any

  #### Returns void

### initEditor

- initEditor(): void

- - Defined in demo/demo.tsx:34

  #### Returns void

### initTextArea

- initTextArea(): void

- - Defined in demo/demo.tsx:40

  #### Returns void

### render

- render(): Element

- - Defined in demo/demo.tsx:82

  #### Returns Element

### updateExample

- updateExample(): void

- - Defined in demo/demo.tsx:58

  #### Returns void

### updateTextArea

- updateTextArea(textarea: any): void

- - Defined in demo/demo.tsx:67

  #### Parameters

  - ##### textarea: any

  #### Returns void